Bug 72130 - new gdm greeter background looks like broken hardware
new gdm greeter background looks like broken hardware
Product: Red Hat Linux
Classification: Retired
Component: redhat-artwork (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2002-08-21 07:04 EDT by Barry K. Nathan
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.84-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-12 16:06:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Barry K. Nathan 2002-08-21 07:04:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020818

Description of problem:
At least on a 15" LCD display at 1600x1200 resolution (which is so high-res it
makes everything look more realistic ;), the gdm greeter looks like the type of
backlight and LCD problems I've seen on old abused laptops. This realistic
simulation of failed hardware scares the hell out of the user until the user
logs in and wonders whether the display has really failed, at which point
troubleshooting starts...

Version-Release number of selected component (if applicable):
redhat-artwork 0.36-1

How reproducible:

Steps to Reproduce:
0. Install (null) (this bug was not present in Limbo or Limbo2).
1. Open your eyes and look at the GDM greeter.
2. Is it live or is it BlueCurve? Try to suppress your fears of the former and
log in.
3. Log in, and do stuff to display different patterns on the screen to begin
process-of-elimination (to make sure that it's actually broken hardware ->
eventually you figure out it's not).

I suppose a more efficient (in terms of time and effort) alternative to step 3
would be:

3a. Install onto another system with a CRT display, not an LCD, in which case a
pattern like this is far less likely to be failed hardware. I didn't have such a
spare system handy though.

Actual Results:  D---it, the display on my Dell just broke! Oh, wait, I can't
see the problem when I log in... hmmm...

Expected Results:  A greeter that doesn't look make my Inspiron 5000e's display
look like that of an abused/old/broken laptop.

Additional info:

This goes WAY beyond ugly. When you look at this on an LCD, it really looks like
a failed LCD. I've seen this type of effect on real failed LCDs. You don't want
to know how I'd be reacting if my Inspiron wasn't still under warranty. ;(

One of the nice things about Linux is that typical behavior does not look like
bad hardware. This kind of thing (commonly occuring misfeature in the software
that looks like bad hardware) is what I'd expect from Windows or old MacOS.

Heck, getting my ReiserFS partitions trashed on another machine of mine running
a non-Red Hat distribution (and thereby losing valuable data which I had not yet
backed up) a few months ago was more pleasant than this. :( Thus, I've set the
bug's severity to high.
Comment 1 Barry K. Nathan 2002-08-21 07:43:53 EDT
A couple of clarifications:

It's possible that the defective LCD displays I saw were on old PC notebooks not
PowerBooks, but either way this GDM greeter looks like a bad display.

If I'm the only person on this planet who reacts this way, that's fine and I'll
live with it. I have difficulty imagining that's the case, though (i.e., I'm
afraid that friends will be calling me on the phone about this trying to get
support from me, etc.).
Comment 2 Barry K. Nathan 2002-10-05 20:56:35 EDT
FWIW: Seeing a similar pattern at two different resolutions (which is what
happens with 8.0 on my Inspiron 5000e -- 800x600 on the installer's splash
screen, 1600x1200 on gdm's backdrop) makes it more obvious that it's not hardware.
Comment 3 Havoc Pennington 2003-01-08 16:14:04 EST
I think garrett has duly noted this, it's sort of a "would be nice" instead of 
a bug so I'm not going to keep it open. (bugzilla is more of an engineering task
tracker and the engineers can't fix this anyway.)
Comment 4 Barry K. Nathan 2003-10-12 16:06:15 EDT
"Are those bumps supposed to be there? I thought it was supposed to be a flat
blue background."

That's from a real incident in the last week (with Red Hat 9).

Alright, so it took over a year for someone to think this was a sign of
something broken. Setting the severity to "High" was clearly an overreaction,
then. Anyway, I believe redhat-artwork-0.84-1 fixes this bug, so I'm going to
reopen the bug and immediately reclose it as RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.